Bug 11509 - Windows build broken
: Windows build broken
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 420+
: PC Windows XP
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-11-03 18:21 PST by
Modified: 2006-11-16 12:43 PST (History)


Attachments
patch v1 (59.72 KB, patch)
2006-11-03 18:28 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
new patch WIP 1 (48.79 KB, patch)
2006-11-09 14:26 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
new patch WIP 2 (77.29 KB, patch)
2006-11-09 18:49 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
new patch v1 (95.78 KB, patch)
2006-11-10 14:18 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
patch for r17748 (146.05 KB, patch)
2006-11-13 16:32 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
patch for r17762 (146.52 KB, patch)
2006-11-14 12:48 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
Patch for r17783 (151.37 KB, patch)
2006-11-15 11:29 PST, Don Gibson
no flags Review Patch | Details | Formatted Diff | Diff
patch for r17812 (154.25 KB, patch)
2006-11-16 12:28 PST, Don Gibson
ap: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-03 18:21:37 PST
Patch to be attached shortly.

Depends on bug 11508 to fix some of the breakage.
------- Comment #1 From 2006-11-03 18:28:08 PST -------
Created an attachment (id=11370) [details]
patch v1

When applied simultaneously with the patch on bug 11508, this fixes the Windows build.
------- Comment #2 From 2006-11-04 03:04:50 PST -------
I suspect some of this conflicts with http://bugs.webkit.org/show_bug.cgi?id=11433
------- Comment #3 From 2006-11-04 08:01:35 PST -------
I integrated build fixes from this patch when landing r17592, but could overlook some improvements.
------- Comment #4 From 2006-11-06 10:12:01 PST -------
Yeah, this isn't fixed yet; the build is currently broken and I'm pretty sure I fixed at least some of the breakage in this patch.

However, with the landing of bug 11433, I'll need to see what's going on here and whip up a different patch.  Can't work on that until tomorrow, unfortunately.
------- Comment #5 From 2006-11-06 12:37:18 PST -------
(In reply to comment #4)
> Yeah, this isn't fixed yet; the build is currently broken and I'm pretty sure I
> fixed at least some of the breakage in this patch.

I think the build broke again later - it was OK when I landed bug 11433.
------- Comment #6 From 2006-11-09 14:26:05 PST -------
Created an attachment (id=11448) [details]
new patch WIP 1

This doesn't get things building completely, but it goes a long way toward that.  There are some compile errors I haven't figured out yet, plus lots of link-time problems.

This also resurrects the bits from my previous patch that never got committed, some of which aren't really "build bustage" as much as "clean up the vcproj and pull in some of the things that should have been there already".
------- Comment #7 From 2006-11-09 18:49:56 PST -------
Created an attachment (id=11450) [details]
new patch WIP 2

Fixes the compile errors by mangling the #include directory order a little less wrongly, cleans up the order of stuff in TemporaryLinkStubs.cpp, adds some missing #include guards, reduces the number of link-time errors
------- Comment #8 From 2006-11-10 14:18:10 PST -------
Created an attachment (id=11469) [details]
new patch v1

This gets the Windows port building again, and does some other cleanup as specified in the Changelog.

The build segfaults when run, due mainly to unimplemented FrameLoader() stuff.  Given the size of this patch, I'd prefer to see the build made to work again ASAP; getting it functioning correctly again can follow.
------- Comment #9 From 2006-11-10 14:19:56 PST -------
Removing 11508 from the dependency list, as that bug and this bug do not depend on each other any more.
------- Comment #10 From 2006-11-13 16:32:34 PST -------
Created an attachment (id=11513) [details]
patch for r17748

Updated the patch to make revision 17748 compile (previous patch was against r17709).
------- Comment #11 From 2006-11-14 10:49:27 PST -------
(From update of attachment 11513 [details])
Oops, forgot to set r?
------- Comment #12 From 2006-11-14 12:48:19 PST -------
Created an attachment (id=11522) [details]
patch for r17762

Updated to latest trunk (very few changes needed).
------- Comment #13 From 2006-11-15 11:29:25 PST -------
Created an attachment (id=11528) [details]
Patch for r17783

Updated to revision 17783.
------- Comment #14 From 2006-11-15 23:05:18 PST -------
Tried to land the patch now, but cross-platform code has already changed (ContextMenuController added, many conflicts in TemporaryLinkStubs).
------- Comment #15 From 2006-11-16 12:28:35 PST -------
Created an attachment (id=11542) [details]
patch for r17812

Updated to latest trunk.
------- Comment #16 From 2006-11-16 12:42:41 PST -------
(From update of attachment 11542 [details])
r=me
------- Comment #17 From 2006-11-16 12:43:03 PST -------
Committed revision 17816.